
CoCoALib - Feature #68

cleanup doc for matrix, MatrixViews, *Matrix*,....

15 Dec 2011 12:53 - Anna Maria Bigatti

Status: Closed Start date: 15 Dec 2011

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: CoCoALib-0.99534 Seoul14 Spent time: 13.65 hours

Description

avoid duplication of documentation: write doc only in the most appropriate file X and add list of functions and link to file X in matrix.txt

Is it possible to set a "label" and have a link to a "label" with t2t?

Subtasks:

Feature # 71: ZeroMat & FilledMat Closed

Feature # 72: MatByRows, MatByCols Closed

Bug # 73: Repeated rows/cols in submat Closed

Support # 65: matrix - MatrixView Closed

History

#1 - 16 Dec 2011 17:27 - Anna Maria Bigatti

- % Done changed from 0 to 10

#2 - 16 Dec 2011 17:33 - Anna Maria Bigatti

Is it possible to set a "label" and have a link to a "label" with t2t?

The answer is "yes" (just to (sub)section titles)

in ClassName.txt set the link name like this (no spaces)

=== Title of subsection one ===[SubsectionOne]

 

then, in another file write (defined by me in doc/config.t2t)

.. see [[ClassName SubsectionOne]]

to get the link to ClassName.html#SubsectionOne

#3 - 16 Dec 2011 18:40 - Anna Maria Bigatti
- % Done changed from 10 to 20

#4 - 01 Apr 2014 17:35 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#5 - 08 Apr 2014 18:24 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#6 - 31 Jul 2014 16:56 - John Abbott

- Status changed from New to Closed
